% x and y values of the 5 points to interpolate:
px = [0 1 2 3 4];
py = [1 2 2 6 9];
n = length(px);

% build nxn matrix column by column
A = zeros(n,n);
for i=1:n
  A(:,i) = px.^(i-1);
end

% now solve for the coefficients:
c = A\py';

% output matrix and coefficients:
A
c

% plot the points and the polynomial at the points x
x = linspace(-1,5,100);
y = c(1) + c(2)*x + c(3)*x.^2 + c(4) *x.^3 + c(5)*x.^4;
plot(px,py,'rs',x,y,'k')

